DWARF_HASATTR(3)

NAME
dwarf_hasattr - check for the presence of an attribute

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
int
dwarf_hasattr(Dwarf_Die die, Dwarf_Half attr, Dwarf_Bool *ret_bool, Dwarf_Error *err);

DESCRIPTION
Function dwarf_hasattr() tests whether the debugging information entry referenced in argument die contains the attribute named by argument attr. Legal values for argument attr are those denoted by the DW_AT_* constants in the DWARF specification.

If the named attribute is present in the debugging information entry, function dwarf_hasattr() returns a non-zero value in the location pointed to by argument ret_bool. If the named attribute is not present, a zero is written instead.

If argument err is not NULL, it will be used to return an error descriptor in case of an error.

RETURN VALUES
On success, function dwarf_hasattr() returns DW_DLV_OK. In case of an error, it returns DW_DLV_ERROR and sets argument err.

ERRORS
Function dwarf_hasattr() can fail with the following error:

[DW_DLE_ARGUMENT]
    Either of argument die or ret_bool was NULL.

SEE ALSO
dwarf(3), dwarf_attr(3), dwarf_whatattr(3)